# SharinPix Search Display

## Overview

The **SharinPix Search Display** Lightning Web Component (LWC) provides a visual interface for searching and selecting images stored in SharinPix albums linked to Salesforce records. It is designed to be easily embedded in wrapper components or Salesforce Flows, offering flexibility and configuration options.

{% hint style="info" %}
**Information:**

This feature is only available on Lightning. It can be used:

* In Flows (but not in Field Service Mobile Flow)
* In your own Lightning Component development
* In third third-party app Lightning [Avonni Dynamic Components](https://appexchange.salesforce.com/appxListingDetail?listingId=e855ec28-bf2c-47fa-aa38-30b43948ab4f\&tab=r)
  {% endhint %}

## Getting Started

Below is a sample flow that is designed to show all images from all accounts in the Salesforce org.

![](/files/23Jw0C24rGZxe7rayiz0)

Configuring the Search Display component is fairly simple. You just need to pass the list of record IDs you built earlier in the component metadata using the flow builder.

![](/files/6sNm9S7ykGQpYSky4K09)

## Lightning Component Parameters

* **recordIds** - a list of Salesforce record Ids representing either an album record or SharinPix Image records Id
* **permissionId** - Name or Id of the SharinPix Permission of type Search
* **height** - Height in pixels of the component. Default is 500
* **selectedImageIds** - If images are selected, it will store the image public id (of type uuid)

## Demo

The result should looks like below.

![](/files/LaMQnU2fulbvWcsgxkYB)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sharinpix.com/documentation/lightning-web-component/sharinpix-search-display.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
